Ubuntu

Firefox causes massive Xorg CPU usage

Reported by ian marcinkowski on 2006-04-05
236
This bug affects 43 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
New
Medium
firefox-3.0 (Ubuntu)
Undecided
Unassigned
firefox (Ubuntu)
Medium
Mozilla Bugs

Bug Description

---
Proposed workaround: use

  Option "AccelMethod" "exa"

in device section of your xorg.conf
----

Since installing Dapper Flight 6 last week, I've been plagued by an extremely slow Firefox, though this problem was not present in my previous Dapper install that had, at one point, been Breezy.

When running top, I've found that Xorg tends to take up 60%+ of the CPU with the remaining percentage being devoted to Firefox, or sometimes vice versa.

This prompted me to edit my xorg.conf.

I found that my default config file listed the Device Driver as 'nv' instead of 'nvidia' as it always had been on my machine before I installed Flight 6.

Reading advice in https://launchpad.net/distros/ubuntu/+source/firefox/+bug/32561 ( also prompted me to add MOZ_DISABLE_PANGO=1 to /etc/environment.

I don't report bugs very often, so I'm not sure on the policy of providing a fix for a problem within the main bug report. :P

Created an attachment (id=205094)
strace log of starting.

it asks if it should import anything, and i say no. then it closes the window, and short arfter it segfaults.

usually talkback triggers as a signal handler to report crashes...

the new debian Sid package comes up stable. maybe this was an interfering between system firefox 1.0.* packages and the localy unpackaged firefox? should this happen? shouldn't firefox primarily take it's own files instead of system files?

User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060226 Debian/1.5.dfsg+1.5.0.1-3 Firefox/1.5.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060226 Debian/1.5.dfsg+1.5.0.1-3 Firefox/1.5.0.1

if i swap focus using sloppy focus betwen firefox and an xterm, cpu usage increases up to 60 or more percent, half for firefox, half for xorg. This situation gets even worse, if there is a bigbrother page displayed. firefox takes up to 90 percent cpu, in xchange with xorg taking everything they get.

Reproducible: Always

Actual Results:
uses too much cpu.

Expected Results:
should use less cpu, as its predessor, firefox 1.* and mozilla did.

Which version of xorg are you running? GNOME? KDE?

my window manager is ion 0.7, http://modeemi.fi/~tuomov/ion
ii xorg-common 6.8.2-5.1 X Window System (X.Org) infrastructure
ii xserver-xorg 6.9.0.dfsg.1-4 the X.Org X server

is my X-Server.
this is an public readable installation:
https://monitor.rete.toscana.it/

our Monitor has about 15 hosts, with about 10 tests per host.

Can you try an official Mozilla build and see if you can reproduce it?

well, with original firefox i've got that problem:
https://bugzilla.mozilla.org/show_bug.cgi?id=319236
(gdb) bt
#0 0xb7de6d28 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#1 0xb6aa7243 in __FCDeleteKey () from /<email address hidden>/components/talkback/talkback.so
#2 0xb6a934d1 in ?? () from /<email address hidden>/components/talkback/talkback.so
#3 0xb6a97735 in ?? () from /<email address hidden>/components/talkback/talkback.so
#4 0xb6a9785f in __FCInitialize () from /<email address hidden>/components/talkback/talkback.so
#5 0xb72d15dd in NSGetModule () from /<email address hidden>/components/libqfaservices.so
#6 0xb72d19ca in NSGetModule () from /<email address hidden>/components/libqfaservices.so
#7 0xb72d1a07 in FCInitialize () from /<email address hidden>/components/libqfaservices.so
#8 0xb72d1108 in nsQfaServicesImpl::~nsQfaServicesImpl ()
   from /<email address hidden>/components/libqfaservices.so
#9 0xb72d119a in nsQfaServicesImpl::~nsQfaServicesImpl ()
   from /<email address hidden>/components/libqfaservices.so
#10 0x0851f07c in nsXPTCVariant::Init ()
#11 0x0807a72d in ?? ()
#12 0x08a98008 in ?? ()
#13 0x00000000 in ?? ()
(gdb) quit

Created an attachment (id=216118)
tar file with the html page saved as, with the icons and stuff.produces same effect as original page.

here's my bb page with all icons. i've seen this take long to render on a gentoo box too.

Since installing Dapper Flight 6 last week, I've been plagued by an extremely slow Firefox, though this problem was not present in my previous Dapper install that had, at one point, been Breezy.

When running top, I've found that Xorg tends to take up 60%+ of the CPU with the remaining percentage being devoted to Firefox, or sometimes vice versa.

This prompted me to edit my xorg.conf.

I found that my default config file listed the Device Driver as 'nv' instead of 'nvidia' as it always had been on my machine before I installed Flight 6.

Reading advice in <a href="https://launchpad.net/distros/ubuntu/+source/firefox/+bug/32561/+index">Bug #32561</a> also prompted me to add MOZ_DISABLE_PANGO=1 to /etc/environment.

I don't report bugs very often, so I'm not sure on the policy of providing a fix for a problem within the main bug report. :P

description: updated
Constantine Evans (cevans) wrote :

I believe that the default driver for nvidia cards is nv, not nvidia, due to licence issues with the proprietary nvidia driver. You may want to ask about this on the community forums (for example, at http://www.ubuntu.com/community/forums/document_view).

Also, this isn't a problem with Firefox - you might want to file a bug on nv about the slowness with firefox.

Berti (bertrand-haut-gmail) wrote :

I've the same problem, launching firefox on some page ( http://www.lesoir.be/ ). The computer slows down, Here is the result of top :
Tasks: 132 total, 2 running, 130 sleeping, 0 stopped, 0 zombie
Cpu(s): 90.0% us, 0.3% sy, 0.0% ni, 9.7% id, 0.0% wa, 0.0% hi, 0.0% si
Mem: 1028276k total, 844096k used, 184180k free, 36084k buffers
Swap: 1461904k total, 0k used, 1461904k free, 373752k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 5352 root 19 0 204m 26m 4748 R 85.2 2.7 2:57.95 Xorg
 7240 berti 16 0 254m 49m 25m S 2.7 4.9 0:02.95 firefox-bin
 5765 berti 15 0 142m 40m 20m S 2.0 4.0 0:59.21 konqueror

Killing firefox and everything gets back immediatly to the normal situation. I'm using an ati card with the open-source "ati" driver. This is an up-to-date dapper on a AMD64 machine.

towsonu2003 (towsonu2003) wrote :

this may not be dapper-firefox specific. I'm using swiftfox (firefox compiled for specific archs) and I too see the high cpu usage by xorg from time to time... may be this should be sent upstream to firefox...

DarkMageZ (darkmagez) wrote :

i can confirm this on both my dapper boxes. one is a p3 @ 667mhz with 128mb sd ram and an intel i810

the other is a amd athlon xp 2100+ 768mb ddr ram & the ati 9600se 128mb using the fglrx driver

it makes firefox feel like it just crashed on the p3, but survivable on the amd.

here's a test example which duplicates for me.

http://cgi.ebay.com.au/BNWT-VINTAGE-50s-CHIC-RED-CIRCLE-SWING-DRESS-UK-14_W0QQitemZ9325213060QQcategoryZ58377QQrdZ1QQcmdZViewItem

scroll down down to the red dress and watch the cpu usage hit the roof

this bug has been noticed in ubuntu linux as well. https://launchpad.net/distros/ubuntu/+source/firefox/+bug/38131

this is a REALLY good test example to replicate this. http://cgi.ebay.com.au/INDIGO-MOON-BEADED-DEVORE-JACKET-BNWT-SIZE-M_W0QQitemZ110004721071QQihZ001QQcategoryZ53367QQrdZ1QQcmdZViewItem

it replicates under ubuntu firefox (1.5.0.4) & offical firefox's 1.5.0.4 & 2.0a3 & trunk (7-7-06)

ubuntu (dapper & edgy) use xorg 7.0 & gnome

that ebay link almost killed my firefox as well... I'm using Zenwalk 2.6 (xfce4)... kernel 2.6.16.16, firefox 1.5.0.4 (Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4), X Window System Version 6.9.0, PC is a Pentium 3 w. 1.7 Ghz.

(In reply to comment #6)
> this bug has been noticed in ubuntu linux as well.
> https://launchpad.net/distros/ubuntu/+source/firefox/+bug/38131
>
> this is a REALLY good test example to replicate this.
> http://cgi.ebay.com.au/INDIGO-MOON-BEADED-DEVORE-JACKET-BNWT-SIZE-M_W0QQitemZ110004721071QQihZ001QQcategoryZ53367QQrdZ1QQcmdZViewItem
>
> it replicates under ubuntu firefox (1.5.0.4) & offical firefox's 1.5.0.4 &
> 2.0a3 & trunk (7-7-06)
>
> ubuntu (dapper & edgy) use xorg 7.0 & gnome
>

i can confirm this on my edgy testbox & my dapper machine using ubuntu firefox builds & offical firefox builds including 2.0a3 & 3.0 (trunk 7-7-06).

this bug doesn't feel any better under 2.0a3, BUT under 3.0 there were actual noticable improvements AND statistical improvements (from monitoring top).

this bug does feel like the browser has died on slower hardware and ruins the browsing experience under ubuntu. (thanks mum for sending me some great test examples) http://cgi.ebay.com.au/INDIGO-MOON-BEADED-DEVORE-JACKET-BNWT-SIZE-M_W0QQitemZ110004721071QQihZ001QQcategoryZ53367QQrdZ1QQcmdZViewItem
load the site up, and scroll down, xorg cpu usage WILL skyrocket =D and on slower hardware... firefox will feel like it died!

Changed in firefox:
status: Unconfirmed → Confirmed
towsonu2003 (towsonu2003) wrote :

> http://cgi.ebay.com.au/INDIGO-MOON-BEADED-DEVORE-JACKET-BNWT-SIZE-M_W0QQitemZ110004721071QQihZ001QQcategoryZ53367QQrdZ1QQcmdZViewItem

first of all, ouch...

this is an upstream bug for sure, as my firefox (1.5.0.4) almost died on that link and I am using Zenwalk 2.6 on this box.

Changed in firefox:
status: Unknown → Unconfirmed
Enrico Sardi (enricoss) wrote :

Hi ! I can confirm this bug. I've visited this site "www.html.it" and this is the output of top:

PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND 4433 root 15 0 138m 57m 10m S 62.3 11.5 27:32.49 Xorg

I use Dapper and firefox 1.5.0.7

Bye

Enrico

DarkMageZ (darkmagez) wrote :

the situation has improved in firefox 2.0rc2 like it was in firefox trunk. but it could still be alot better. since the cpu usage is in Xorg not firefox... maybe it's an Xorg issue!

Enrico Sardi (enricoss) wrote :

Hi DarkMageZ !

I've tried with Opera without problem...so I think it's a bug of firefox...

Bye

Enrico

Mobilitas (mobilitas) wrote :

I've tried with Opera too, with problem. Indeed, ny apps wich need scrolling screen causes massive uses of CPU. I use an Acer Aspire 1350 Series with Athlon XP-M Processor, 1 Gb Ram DDR 2700.
Roger

1 comments hidden view all 152 comments

Just wanted to confirm that this is still an issue with 2.0

Thanks
David

David Farning (dfarning) on 2006-12-31
Changed in firefox:
assignee: nobody → mozillabugs

Confirming this problem...

Ubuntu Edgy
2.6.17-10-generic #2 SMP Tue Dec 5 21:16:35 UTC 2006 x86_64 GNU/Linux

Context switch from Firefox (both Ubuntu package 2.0.0.1+0dfsg-0ubuntu0.6.10 and Mozilla build 2.0.0.1) to Xterm results in 100% CPU by Xorg (7.1.1ubuntu6.2).

Confirming this problem...

Edgy
2.6.17-10-generic #2 SMP Tue Dec 5 21:16:35 UTC 2006 x86_64 GNU/Linux

Context switch from Firefox (both Ubuntu package 2.0.0.1+0dfsg-0ubuntu0.6.10 and Mozilla 2.0.0.1) to Xterm results in 100% CPU by Xorg.

I have noticed this problem with FC6 and official firefox 2.0.0.1

I disabled "animation of images" using the 'web developer toolbar', and the cpu usage goes down.

Have also noticed that even if the animated background image is "hidden", firefox tries to redraw it over and over again, causing the cursor to flicker when in a textbox/textarea.

David Farning (dfarning) on 2007-02-24
Changed in firefox:
assignee: mozillateam → mozilla-bugs

This looks like http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=342105;msg=35

Some people has workaround the issue by using "exa", but this does not work for my HP nw8240 with FireGL V5000 (x700) as it makes whole Xorg slow (moving windows...) with "ati" driver.

Alexander Sack (asac) wrote :

thanks luka, i added the proposed workaround to the summary, so other users can test and report their experience.

description: updated
DarkMageZ (darkmagez) wrote :

does anyone have a new testcase? as the one i reported before has been altered to the point of not being useful at all.

DarkMageZ (darkmagez) wrote :

nomination for new testcase. http://textra.podshow.com/
nowhere near as deadly as the old one. but still effective.

Turbo (axelhc) wrote :

I just discovered the same: Scrolling some websites ends in almost 100% CPU usage. This is my config:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.6)
Gecko/20061201 Firefox/2.0.0.6 (Ubuntu-feisty)
My PC is an Athlon 64 3700 with 1024MB RAM and an ATI X1950XT vid card.

So far I have ALL the updates in Feisty, so my guess goes by the side of Firefox. I also tried with Opera but the slowness is not so awful. This is true for the "textra" page wich is even worse than the one I discovered.

Any final idea about why is this happening ???.

Regards.

Turbo.
;-)

ryanmbruce (ryanmbruce) wrote :

I can also confirm on http://textra.podshow.com/

100% cpu usage while loading the page, and 100% while scrolling.

Option "AccelMethod" "exa"
in xorg.conf does not help.

Feisty w/ current updates
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.6) Gecko/20061201 Firefox/2.0.0.6 (Ubuntu-feisty)
ATI Radeon (the original)

Let me know if you want more info.

Interestingly enough, AccelMethod "exa" causes this on my laptop.
The laptop is a Pentium 4 2.8Ghz with 1G memory and an ATI Radeon Mobility 9000 (R250) sharing the main memory.
However, AccelMethod "XAA" and having RenderAccel "true" fixes it.
exa was faster on Edgy.

I hope this helps someone.
I will attach my fairly tweaked xorg.conf.

I can also confirm on http://textra.podshow.com/

None workaround works for me. I'm using ubuntu gutsy with latest updates.

Using proprietary nvidia drivers.

On Sat, Dec 29, 2007 at 02:31:31PM -0000, Sylvestre Mergulhão wrote:
> I can also confirm on http://textra.podshow.com/
>
> None workaround works for me. I'm using ubuntu gutsy with latest
> updates.
>
> Using proprietary nvidia drivers.
>

please try to run firefox without pango. start firefox from a command
line like:

export MOZ_DISABLE_PANGO=1
firefox

Thanks,

 - Alexander

DarkMageZ (darkmagez) wrote :

disabling pango has almost no effect on this issue. please do try to look at an issue before commenting asac.

I have the same problem. (with Sidux (Debian Sid Distro), my graphics card is an Intel X3100 (Intel GM965) using xserver-xorg-intel and mesa)

Xorg cpu usage skyrockets while firefox is rendering a page, or while entering text in the addressbar for example.
Maybe this is a gtk problem not a firefox problem at all, also I downgraded to an earlier Version of gtk (and libgtk*). Other gtk programs seem to increase xorg cpuload too, but firefox is worst by far.

Changing the AccelMethod to eaa or exa didn't work, neither did disabling pango

Regards
McG aka Roland

Turns out this was/is a problem with a new version of xserver-xorg-video-intel.
The problem disappears when using vesa driver or downgrading to an older version of xserver-xorg-video-intel.

For anyone interested: I have an Intel X3100 (GM965) and
xserver-xorg-video-intel Version 2:2.2.0-1 does not work (problem description see post above)
xserver-xorg-video-intel Version 2:2.1.1-4 does work

Erik (echakr) wrote :

Xorg does not just hog CPU while firefox is rendering a page (this would be understandable), but even when firefox is quietly waiting for data, for example if the wireless connection has dropped out, firefox is sitting using about 5% CPU waiting for data, but Xorg is eating 40% - why?

At least with the new version, firefox itself doesn't hog so much CPU time while waiting for data from the network interface.

Ubuntu 7.10 (PPC) Apple PowerBook G4 ATI rv350 FOSS xorg driver - Firefox 3.0

72 comments hidden view all 152 comments

Not sure what all the fuss is anymore. I'm running Intrepid on an HP
8510w notebook that has an Nvidia Quadro FX570M. I Installed the 180.25
driver from Nvidia and all of my issues with Firefox + Flash went away,
I still get reliable Suspend/Resume and Hibernate.

Robert, what's your hardware?

On Tue, 2009-03-10 at 20:27 +0000, Robert wrote:

> This really needs to be made a higher priority. After the latest xorg
> updates on Intrepid, Firefox is crashing for several minutes at as time.
> It's become unusable.
>

Robert (robrwo) wrote :

On 11/03/09 01:22 Clayton Dillard wrote:
> Not sure what all the fuss is anymore. I'm running Intrepid on an HP
> 8510w notebook that has an Nvidia Quadro FX570M. I Installed the 180.25
> driver from Nvidia and all of my issues with Firefox + Flash went away,
> I still get reliable Suspend/Resume and Hibernate.
>
> Robert, what's your hardware?

Lenovo ThinkPad R61i (though lshw says "R61e")
7650A6G motherboard
Intel 64bit dual T2310
Intel GM965/GL960 Graphics

Need other information?

I've even tried using Gnash instead of Adobe Flash, or just disabling flash
altogether. I still have the same problems.

Do you see this problem with most recent beta http://www.mozilla.com/en-US/firefox/all-beta.html ?

I think i found something.
I got the same problem and read that it goes away when killing the "gnome-settings-deamon".
I did it and it's true, it is gone.
Can somebody confirm this?
Obviously this daemon changes many settings, but maybe it's a hint!

I gotta add:
it helps to speed up my whole system.
For example, maximizing something from the tray like XChat always took a while and now it is up immediately.
Of course the system looks a bit ugly now. Why is that? What stopped that it looks like this now?
(Sorry, I'm a beginner at this)

mnzy please tell us which graphics card and which graphics driver does
your system have.

more people should confirm this effect with gnome-settings-daemon. if
that were the case:

I think mnzy comments are quite interesting. we would have that
gnome-settings-daemon is currently a thing that offers a small
aesthetic improvement at the expense of damaging noticeably the
responsiveness of the whole GUI.

I think we should not think about these cases in terms of "is users
fault; their systems are ancient" because this is the windows vista's
approach to computer resources and as we all know, this approach
fails.

Finally, I think gnome-settings-daemon should stop doing (or doing
much faster) 20% of the things that causes 80% of this noticeable
performance drop. (say 20/80, say 10/90 or whatever).

Well, I'm saying all this mainly because I have the same recurring
feeling: few days after ubuntu installations, my excitation about new
features drives away and then I begin to notice that gnome is (still)
too slow, and the more I use it the more I notice it.

On Fri, Mar 27, 2009 at 10:55 PM, mnzy <email address hidden> wrote:
> I gotta add:
> it helps to speed up my whole system.
> For example, maximizing something from the tray like XChat always took a while and now it is up immediately.
> Of course the system looks a bit ugly now. Why is that? What stopped that it looks like this now?
> (Sorry, I'm a beginner at this)
>
> --
> Firefox causes massive Xorg CPU usage
> https://bugs.launchpad.net/bugs/38131
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

--
"Make sure that Office documents very well depends on PROPRIETARY IE
capabilities."
    Bill Gates, 1998.

Conan (richard-connon) wrote :

The gnome-settings-daemon problem is not the main issue at stake here as it doesn't fix the problem for me.

The main problem here is not one that only affects older computers. When searching for something which returns a lot of results on launchpad (like, ironically, "Xorg CPU") my firefox slows down to an unusable state and Xorg uses 100% of one processor core. This is on a 3.86 GHz core 2 quad with 4GiB of DDR2 942! If that system can't run a single tab in firefox then there is a SERIOUS bug here!

There is a possibility that this is made worse by my peculiar X setup, using two Nvidia GPUs with the proprietary driver with four monitors and Xinerama.

(running up to date jaunty beta)

Robert (robrwo) wrote :

On 28/03/09 11:49 Conan wrote:
> The gnome-settings-daemon problem is not the main issue at stake here as
> it doesn't fix the problem for me.

I can confirm this as well.

> The main problem here is not one that only affects older computers. ...
> my firefox slows down to an unusable state and Xorg uses 100% of one
> processor core. This is on a 3.86 GHz core 2 quad with 4GiB of DDR2 942!...

I have a dual core machine as well.

> There is a possibility that this is made worse by my peculiar X setup,
> using two Nvidia GPUs with the proprietary driver with four monitors and
> Xinerama.

I'm running a single Intel GPU.

 From one of the FF bug lists, it was suggested that I run the latest alpha
of 3.1 to see if this still occurs. Since they don't have nightly builds
for x64 on Linux, I am unable to do this. But others may want to try and
see if that fixes the problem.

Robert (robrwo) wrote :

I have recently tried the Firefox 3.1 Beta 3 binary from
http://www.mozilla.com/en-US/firefox/all-beta.html - so far the
problem has not recurred. (However, I am using a 32-bit build on a
64-bit machine, and some of the plugins such as Flash are disabled.)

Is there a 64-bit version of that version of Firefox in Intrepid
backports or developer repositories that people could try?

Conan (richard-connon) wrote :

Seems to be a build of Firefox 3.1b3 in this ppa:
https://launchpad.net/~fta/+archive/ppa
I'm going to install and test it now.

Conan (richard-connon) wrote :

Can confirm that I still get the same effects with the latest firefox-3.5 package in that ppa.
Note: firefox 3.1 was renamed to firefox 3.5

It's worth noting that there is also a Firefox 3.1b3 build in the ubuntu jaunty repos.

Conan (richard-connon) wrote :

And I also get the same effects with the Firefox 3.1b3 build from http://www.mozilla.com/en-US/firefox/all-beta.html
(sorry these last three posts should probably have been consolidated into one.

Conan (richard-connon) wrote :

Ok... oddly enough adding
Option "RenderAccel" "true"
to all my Device sections in xorg.conf seems to fix this (at least for launchpad as a testcase)

Changed in firefox-3.0 (Ubuntu):
status: Confirmed → Triaged

Talkback is totally gone now.

Have you tried closing all firefoxes then run:

mv ~/.mozilla ~/.mozilla_old

Then rerunning firefox?

Fixes a world of things.

Didn't work when I last tried it. I've gotten so fed up with the
problem that I switched to using 3.5, which does not have that
problem.

On Sat, Oct 17, 2009 at 2:19 PM, actionparsnip
<email address hidden> wrote:
> Have you tried closing all firefoxes then run:
>
> mv ~/.mozilla ~/.mozilla_old
>
> Then rerunning firefox?
>
> Fixes a world of things.
>
> --
> Firefox causes massive Xorg CPU usage
> https://bugs.launchpad.net/bugs/38131
> You received this bug notification because you are a direct subscriber
> of the bug.
>

tags: added: iso-testing

I’ve noticed a similar problem, but under slightly different circumstances, everything runs fine (Firefox, videos etc.) and typically the Xorg process is always less that 10%.

My problem occurs when a seconds user logs on, for example the screen saved comes on, my gf clicks “switch user”/“change user” or whatever its called, she logs in and the CPU usage of Xorg process shoots through the roof, especially when using Firefox.

My setup is as below:

OS: Ubuntu 9.10 (Karmic)
CPU: AMD Athlon 64 3200+ (Venice/San Diago Core)
Memory: 2GB PC3200 Corsair
Video Card: ATI X1800 (R520)
Driver: Open Source radeon (NOT radeonhd)

I’ve tinkered with some of the Xorg.conf settings, and if I set the AccelMethod to the older XAA mode instead of EXA, the problem doesn’t exhibit itself. Unfortunately I cannot play videos using XAA mode.

I’m guessing it’s a problem with the open source radeon driver and EXA Accel method (in my case at least).

A bit more background info for anyone who’s interested:

After more digging there seems to be a number of bug call specifically relating to the issue with multiple users that I’m experiencing, some of the threads suggest it’s an issue with the first session locking the DRI/DRM and as such when a seconds user logs in they cannot access the DRM and hence they drop back to software rendering. One thread suggests that “drm multi-master” support was required to successfully allow multiple users to access the DRM.

Anyway I decided to turn on Kernel Mode Setting and this seams to have allow both uses to access DRM according to glxinfo and X logs and GDM logs. Unfortunately this presents further issues, one is the fact that the Mode lines aren’t detected correctly and I’ve lost a number of resolutions settings that were available under X control (not a huge issue, but slightly annoying). The other is that Xorg now uses high CPU for a single user or multiple users, especially noticeable under Firefox (3.5). Playing videos however seems fine.

I’ve added ‘Option "RenderAccel" "true"’ and ‘Option "AccelMethod" "exa"’ to my xorg.conf, same problem.

Robert wrote in comment #12)
> I confirm this bug for Ubuntu Hardy and Fedora 9.

FTR, reporter email address is dead

John Vivirito (gnomefreak) wrote :

Sorry but Firefox-3.0 has reached EOL and will not receive updates anymore. Can you please confirm if this still happens on Firefox-3.5
Upstream bug report needs to be updated to confirmed if someone can do that.

affects: firefox-3.0 (Ubuntu) → firefox-3.5 (Ubuntu)
John Vivirito (gnomefreak) wrote :

3.0.18 has been decided for Feb.

Changed in firefox-3.0 (Ubuntu):
status: New → Triaged

I've had this problem with xorg as long as I have been using Ubuntu (4 years).
Currently getting this problem on Lucid 10.04 Alpha3 with NVidia 195.36.03 driver.
When using a "slow" internet connection - which is 95% of the time for me as I use a Huawei E172 USB modem - xorg "eats" processor cycles, regularly going anywhere between 60-90% of CPU when I'm browsing the web with Firefox v3.6.

executed test case no.4555 and was abble to reproduce so i have chaged the status as reopen

executed test case no.4555 already reopened so skip

Same issue on Ubuntu lucid 10.04: in some pages, like this page, firefox become extremely slow and the Xorg process eats a lot of CPU. It doesn't happens with Google Chrome.

Changed in firefox:
importance: Unknown → Medium

(In reply to comment #16)
> executed test case no.4555 already reopened so skip

charan, was that done using trunk build??

aslam karachiwala (akwala) wrote :

Confirming that this issue occurs on Ubuntu 10.10 amd64, w/ Firefox/Namoroka 3.6.14pre.

tags: added: amd64 firefox xorg

I have the same problem with Ubuntu 10.10 i386 and Firefox 4.0b7

Owen B (operryb1) wrote :

Same issue. Firefox 3.6.12 Ubuntu 10.10 64 bit.

Hello,

this bug still exists with Firefox 4.0 Beta7 running on Ubuntu Maverick 10.10. The XOrg process is using >50% CPU as long as firefox is running (even when the window is in the background and not used)

What is the XOrg process doing? Can you get a profile, please?

Can you tell me how? I can get one on monday as the only system where this happens is my laptop at work.

daniferi (daniferi) wrote :

Same problem for me. It seems when firefox is running and I opening new tabs or I making some window-operating (minimize, maximize) the firefox and xorg eat my cpu for a sec. Cpu usage goes up to 90-95% and everything are stopped for a moment. It is not funny when music breaks like on old turntables Now I using opera and there is no problem. With 10 opened tabs i can do anything without extreme cpu usage.

System: Ubuntu 10.04 32bit
VGA: ATI Radeon HD 3650 (Catalyst 10.11)
Browser: Firefox 3.6.13

Some additional info: I changed my VGA in last few days and the previous card was an Nvidia Geforce 7600GS and this problem has started now. It may be some fglrx-firefox-xorg incompatibility or I was just lucky before vga-change?

I'm at work now, so if you can tell me what you need exactly and how to get a XOrg profile I could do that.

I started to notice this recently with this advent of Google's fancy new images search. As one scrolls down the page and more images are pulled in the Xorg CPU usage pegs to a core. After you get to the bottom scrolling back and forth seems fine.

My hypothesis (well, more of a wild stab in the dark really since I know very little about X) is that firefox is asking for various bitmap stuff from the X-server and this is the cause of the badness.

FTR I also have an NVidia card (GeForce 8800) and this driver (from the logs):

[ 218.696] (II) NOUVEAU driver Date: Thu Aug 5 00:40:40 2010 +0200
[ 218.696] (II) NOUVEAU driver for NVIDIA chipset families :
[ 218.696] RIVA TNT (NV04)
[ 218.696] RIVA TNT2 (NV05)
[ 218.696] GeForce 256 (NV10)
[ 218.696] GeForce 2 (NV11, NV15)
[ 218.696] GeForce 4MX (NV17, NV18)
[ 218.696] GeForce 3 (NV20)
[ 218.696] GeForce 4Ti (NV25, NV28)
[ 218.696] GeForce FX (NV3x)
[ 218.696] GeForce 6 (NV4x)
[ 218.696] GeForce 7 (G7x)
[ 218.696] GeForce 8 (G8x)
[ 218.696] (II) NOUVEAU driver Date: Thu Aug 5 00:40:40 2010 +0200
[ 218.696] (II) NOUVEAU driver for NVIDIA chipset families :
[ 218.696] RIVA TNT (NV04)
[ 218.696] RIVA TNT2 (NV05)
[ 218.696] GeForce 256 (NV10)
[ 218.696] GeForce 2 (NV11, NV15)
[ 218.696] GeForce 4MX (NV17, NV18)
[ 218.696] GeForce 3 (NV20)
[ 218.696] GeForce 4Ti (NV25, NV28)
[ 218.696] GeForce FX (NV3x)
[ 218.696] GeForce 6 (NV4x)
[ 218.696] GeForce 7 (G7x)
[ 218.696] GeForce 8 (G8x)

Owen Tuz (owentuz) wrote :

I can confirm this in the recent release of Firefox 4. As Steve mentioned, it's easily reproducible simply by performing a Google Image search. This causes high CPU usage from the X server and on my computer at least, the display temporarily freezes.

I'm running Arch Linux, with an Nvidia 8200M (notebook) video card. If I can help by providing more information, please just ask. This has basically made Firefox unusable for me (so I'm posting from Chromium).

With Mozilla/5.0 (X11; Linux i686; rv:2.0) Gecko/20100101 Firefox/4.0 in Ubuntu 10.10. / gnome desktop Tested with Graphics acceleration on / off

This page http://eventos.mozilla-hispano.org/1/fiesta-firefox-4-madrid/tweets/ cause Xorg 100% and the system freeze.

Same in chromium, show perfect, the animation looks smooth and Xorg 3% / 13%

The problem has been solved by updating the drivers of the nvidia graphic card (before I had the 173 version).

The problem can be seen in old graphic cards, for example GeForce FX 5200 in which the 173 version is the last version provided.

The tar.gz file attached here is corrupted:

$ tar xfzv Downloads/bbscreenshot.tar.gz
tmp/bbsample
tar: tmp/bbsample: Cannot open: Not a directory

The testcase link from comment 6 is dead now.

comment 23 says that at least comment 22 can be ignored.

I think this bug should be considered incomplete at this point.

xymon / hobbitmon is the followoup project of big brother.
http://www.xymon.com/xymon/
you can publicaly acess the site, and the behaviour still is there with most recent iceweasels and current wheezy X11.

Thomas Hotz (thotz) on 2012-10-03
Changed in firefox-3.0 (Ubuntu):
status: Triaged → Invalid
affects: firefox-3.5 (Ubuntu) → firefox (Ubuntu)
Displaying first 40 and last 40 comments. View all 152 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.